Index: /main/trunk/release-kits/shared/mac/Wrapper.app/Contents/Info.plist
===================================================================
--- /main/trunk/release-kits/shared/mac/Wrapper.app/Contents/Info.plist	(revision 30100)
+++ /main/trunk/release-kits/shared/mac/Wrapper.app/Contents/Info.plist	(revision 30101)
@@ -1,62 +1,24 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
-<plist version="0.9">
+<plist version="9.0">
 <dict>
-
-	<key>CFBundleName</key>
-	<string>Greenstone@version@</string>
-
-	<key>CFBundleVersion</key>
-	<string>@version@</string>
-
-	<key>CFBundleAllowMixedLocalizations</key>
-	<string>true</string>
-
-	<key>CFBundleExecutable</key>
-	<string>JavaApplicationStub</string>
-
-	<key>CFBundleDevelopmentRegion</key>
-	<string>English</string>
-
-	<key>CFBundlePackageType</key>
-	<string>APPL</string>
-
-	<key>CFBundleGetInfoString</key>
-	<string>@version@</string>
-
-	<key>CFBundleInfoDictionaryVersion</key>
-	<string>6.0</string>
-
-	<key>CFBundleIconFile</key>
-	<string>icon.icns</string>
-
-	<key>Java</key>
-	<dict>
-
-		<key>MainClass</key>
-		<string>org.tp23.antinstaller.selfextract.NonExtractor</string>
-
-		<key>JVMVersion</key>
-		<string>1.4+</string>
-
-		<key>ClassPath</key>
-		<string>$JAVAROOT/@jar@</string>
-
-		<key>WorkingDirectory</key>
-		<string>/tmp</string>
-
-	        <key>VMOptions</key>
-        	<string>-Xmx200M</string>
-
-		<key>Properties</key> 
-		<dict>
-			<key>apple.laf.useScreenMenuBar</key>
-			<string>true</string>
-			<key>orig.dir</key>
-			<string>$APP_PACKAGE/..</string>
-		</dict>
-
-	</dict>
-
+        <key>CFBundleName</key>
+        <string>Greenstone3.07</string>
+        <key>CFBundleVersion</key>
+        <string>3.07</string>
+        <key>CFBundleAllowMixedLocalizations</key>
+        <string>true</string>
+        <key>CFBundleExecutable</key>
+        <string>greenstone</string>
+        <key>CFBundleDevelopmentRegion</key>
+        <string>English</string>
+        <key>CFBundlePackageType</key>
+        <string>APPL</string>
+        <key>CFBundleGetInfoString</key>
+        <string>3.07</string>
+        <key>CFBundleInfoDictionaryVersion</key>
+        <string>6.0</string>
+        <key>CFBundleIconFile</key>
+        <string>icon.icns</string>
 </dict>
 </plist>
Index: /main/trunk/release-kits/shared/mac/Wrapper.app/Contents/MacOS/greenstone
===================================================================
--- /main/trunk/release-kits/shared/mac/Wrapper.app/Contents/MacOS/greenstone	(revision 30101)
+++ /main/trunk/release-kits/shared/mac/Wrapper.app/Contents/MacOS/greenstone	(revision 30101)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+BINDIR="`dirname "$0"`"
+cd "$BINDIR/.."
+BASEDIR="`pwd`"
+
+# Debugging with a msg box. Need double quotes around msg for $var expansion
+#osascript -e "tell app \"System Events\" to display alert \"bindir is: $BINDIR\" as warning giving up after 10"
+ 
+## But this doesn't work:
+# http://stackoverflow.com/questions/23923017/osascript-using-bash-variable-with-a-space
+#osascript -e "display notification \"$BINDIR\""
+#osascript -e 'display notification "'"$BINDIR"'"'
+
+# extract the JRE into /tmp and use its java to run the GS jar installer
+# the /tmp/jre folder will be moved into GS3/packages by the GS3 installer
+
+if [[ -e "$BASEDIR/Resources/Java/jre_bin" ]]; then
+  if [[ -w "$BASEDIR/Resources/Java" ]]; then
+     chmod +x "$BASEDIR/Resources/Java/jre_bin" && "$BASEDIR/Resources/Java/jre_bin" -o"/tmp" #&& rm "$BASEDIR/Resources/Java/jre_bin"
+
+     if [[ -e "/tmp/jre.tar" ]]; then
+
+        # get the GS jar installer's name and run it
+        cd "$BASEDIR/Resources/Java/"
+        gs_installer=`ls Greenstone-*-MacOS-intel.jar`
+        tar -xvf /tmp/jre.tar -C /tmp && "/tmp/jre/bin/java" -jar "$gs_installer"
+        rm /tmp/jre.tar         
+
+     else 
+        osascript -e "tell app \"System Events\" to display alert \"Unable to unpack jre into /tmp folder\" as warning giving up after 10"   
+     fi
+  else
+  # Installation directory not writable - display error message
+  # see: https://developer.apple.com/library/mac/documentation/AppleScript/Conceptual/AppleScriptLangGuide/reference/ASLR_cmds.html#//apple_ref/doc/uid/TP40000983-CH216-SW11
+     osascript -e 'tell app "System Events" to display alert "To install Greenstone, double-click on the installer app" as warning giving up after 10'
+     exit
+  fi
+fi