Index: /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/MainWindow.xaml
===================================================================
--- /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/MainWindow.xaml	(revision 30122)
+++ /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/MainWindow.xaml	(revision 30123)
@@ -4,16 +4,17 @@
         xmlns:tk="clr-namespace:Microsoft.Kinect.Toolkit;assembly=Microsoft.Kinect.Toolkit"
         xmlns:local="clr-namespace:Microsoft.Samples.Kinect.WebserverBasics"
-        Title="Webserver Basics" SizeToContent="Height" Width="800" FontSize="16"
+        Title="Playing in the Street" SizeToContent="Height" Width="800" FontSize="16"
         Loaded="WindowLoaded"  Closing="WindowClosing">
-    
+
     <Window.Resources>
         <local:InverseBooleanConverter x:Key="inverseBooleanConverter"/>
     </Window.Resources>
-    
+
     <Grid>
         <Grid.ColumnDefinitions>
             <ColumnDefinition Width="Auto"/>
             <ColumnDefinition Width="Auto"/>
-            <ColumnDefinition Width="*"/>
+            <ColumnDefinition Width="33*"/>
+            <ColumnDefinition Width="284*"/>
         </Grid.ColumnDefinitions>
         <Grid.RowDefinitions>
@@ -21,6 +22,6 @@
             <RowDefinition Height="*"/>
         </Grid.RowDefinitions>
-        <tk:KinectSensorChooserUI Grid.Row="0" Grid.Column="0" KinectSensorChooser="{Binding KinectSensorChooser}" HorizontalAlignment="Left" IsListening="False" Margin="5"/>
-        <DockPanel Grid.Row="0" Grid.Column="1" Margin="5">
+        <tk:KinectSensorChooserUI Grid.Row="0" Grid.Column="0" KinectSensorChooser="{Binding KinectSensorChooser}" HorizontalAlignment="Left" IsListening="False" Margin="5,5,0,241.6"/>
+        <DockPanel Grid.Row="0" Grid.Column="1" Margin="5.4,5,5,241.6">
             <Button DockPanel.Dock="Top" Height="50" Width="100" Content="Start"
                     IsEnabled="{Binding Path=IsStarted, Converter={StaticResource inverseBooleanConverter}}" Click="StartButtonOnClick"/>
@@ -28,11 +29,13 @@
                     IsEnabled="{Binding Path=IsStarted}" Click="StopButtonOnClick"/>
         </DockPanel>
-        <StackPanel Grid.Row="0" Grid.Column="2" Margin="10 0">
+        <StackPanel Grid.Row="0" Grid.Column="2" Margin="10,0,9.6,236.6" Grid.ColumnSpan="2">
             <TextBlock x:Name="OpenBrowserText" Margin="0 5">
-                <Hyperlink FontSize="16" x:Name="UriLink" Click="UriLinkOnClick">Open sample page in default browser</Hyperlink>
+                <Hyperlink FontSize="16" x:Name="UriLink" Click="UriLinkOnClick">Click to launch Playing in the Street in your default browser</Hyperlink>
                 <LineBreak/>
+                <!--
                 <Run FontSize="11">See documentation for list of supported browsers</Run>
+                -->
             </TextBlock>
-            <TextBlock x:Name="ServingFilesText" Margin="0 5" FontSize="11" TextWrapping="WrapWithOverflow">
+            <TextBlock Visibility="Collapsed" x:Name="ServingFilesText" Margin="0 5" FontSize="11" TextWrapping="WrapWithOverflow">
                 <Run FontSize="14" FontWeight="Bold">Serving files from:</Run>
                 <Run x:Name="RootDirectoryTextRun"/>
@@ -44,5 +47,5 @@
             </TextBlock>
         </StackPanel>
-        <Expander Grid.Row="1" Grid.Column="0" Grid.ColumnSpan="3" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" VerticalContentAlignment="Stretch" Margin="5 0 5 5"
+        <Expander Grid.Column="0" Grid.ColumnSpan="4" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" VerticalContentAlignment="Stretch" Margin="5,109,4.6,11.6"
                   ExpandDirection="Down" IsExpanded="True"
                   Header="Errors:" FontWeight="Black">
Index: /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/MainWindow.xaml.cs
===================================================================
--- /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/MainWindow.xaml.cs	(revision 30122)
+++ /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/MainWindow.xaml.cs	(revision 30123)
@@ -35,5 +35,5 @@
         /// Name of main page for web sample.
         /// </summary>
-        private const string SamplePageName = "SamplePage.html";
+        private const string SamplePageName = "playing-in-the-street.html";
 
         /// <summary>
Index: /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/Playing-in-the-Street-WPF.csproj
===================================================================
--- /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/Playing-in-the-Street-WPF.csproj	(revision 30122)
+++ /other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/Playing-in-the-Street-WPF.csproj	(revision 30123)
@@ -32,5 +32,5 @@
   </PropertyGroup>
   <PropertyGroup>
-    <ApplicationIcon>Images\Kinect.ico</ApplicationIcon>
+    <ApplicationIcon>PITS--Kinect.ico</ApplicationIcon>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
@@ -146,8 +146,14 @@
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </Content>
+    <Content Include="Content\Web\playing-in-the-street.html">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
     <Content Include="Content\Web\SamplePage.html">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </Content>
     <Resource Include="Images\Kinect.ico" />
+    <Resource Include="PITS--Kinect.ico" />
+    <Resource Include="Kinect.ico" />
+    <Resource Include="Images\PITS--Kinect.ico" />
     <Content Include="WebserverBasic-WPF.exe.config">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>