Index: other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/Playing-in-the-Street-WPF.csproj
===================================================================
--- other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/Playing-in-the-Street-WPF.csproj	(revision 30125)
+++ other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/Playing-in-the-Street-WPF.csproj	(revision 30126)
@@ -149,14 +149,10 @@
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </Content>
-    <Content Include="Content\Web\SamplePage.html">
-      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
-    </Content>
     <Resource Include="Images\Kinect.ico" />
-    <Resource Include="PITS--Kinect.ico" />
-    <Resource Include="Kinect.ico" />
-    <Resource Include="Images\PITS--Kinect.ico" />
     <Content Include="WebserverBasic-WPF.exe.config">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </Content>
+    <Resource Include="Kinect.ico" />
+    <Resource Include="PITS--Kinect.ico" />
   </ItemGroup>
   <ItemGroup>
Index: other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/App.g.i.cs
===================================================================
--- other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/App.g.i.cs	(revision 30125)
+++ other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/App.g.i.cs	(revision 30126)
@@ -3,5 +3,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.34011
+//     Runtime Version:4.0.30319.42000
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
Index: other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/GeneratedInternalTypeHelper.g.i.cs
===================================================================
--- other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/GeneratedInternalTypeHelper.g.i.cs	(revision 30125)
+++ other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/GeneratedInternalTypeHelper.g.i.cs	(revision 30126)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.34011
+//     Runtime Version:4.0.30319.42000
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
Index: other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/MainWindow.g.i.cs
===================================================================
--- other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/MainWindow.g.i.cs	(revision 30125)
+++ other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/MainWindow.g.i.cs	(revision 30126)
@@ -1,7 +1,7 @@
-﻿#pragma checksum "..\..\MainWindow.xaml" "{406ea660-64cf-4c82-b6f0-42d48172a799}" "D4CC16CCD3ADFF10ED0E76688AFD6566"
+﻿#pragma checksum "..\..\MainWindow.xaml" "{406ea660-64cf-4c82-b6f0-42d48172a799}" "AEFB2BDDF4AF8CCA75BC7E5FA5E78023"
 //------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.34011
+//     Runtime Version:4.0.30319.42000
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -43,5 +43,5 @@
         
         
-        #line 31 "..\..\MainWindow.xaml"
+        #line 32 "..\..\MainWindow.xaml"
         [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields")]
         internal System.Windows.Controls.TextBlock OpenBrowserText;
@@ -51,5 +51,5 @@
         
         
-        #line 32 "..\..\MainWindow.xaml"
+        #line 33 "..\..\MainWindow.xaml"
         [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields")]
         internal System.Windows.Documents.Hyperlink UriLink;
@@ -59,5 +59,5 @@
         
         
-        #line 36 "..\..\MainWindow.xaml"
+        #line 39 "..\..\MainWindow.xaml"
         [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields")]
         internal System.Windows.Controls.TextBlock ServingFilesText;
@@ -67,5 +67,5 @@
         
         
-        #line 38 "..\..\MainWindow.xaml"
+        #line 41 "..\..\MainWindow.xaml"
         [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields")]
         internal System.Windows.Documents.Run RootDirectoryTextRun;
@@ -75,5 +75,5 @@
         
         
-        #line 42 "..\..\MainWindow.xaml"
+        #line 45 "..\..\MainWindow.xaml"
         [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1823:AvoidUnusedPrivateFields")]
         internal System.Windows.Controls.TextBlock NotServingFilesText;
@@ -128,5 +128,5 @@
             case 2:
             
-            #line 26 "..\..\MainWindow.xaml"
+            #line 27 "..\..\MainWindow.xaml"
             ((System.Windows.Controls.Button)(target)).Click += new System.Windows.RoutedEventHandler(this.StartButtonOnClick);
             
@@ -136,5 +136,5 @@
             case 3:
             
-            #line 28 "..\..\MainWindow.xaml"
+            #line 29 "..\..\MainWindow.xaml"
             ((System.Windows.Controls.Button)(target)).Click += new System.Windows.RoutedEventHandler(this.StopButtonOnClick);
             
@@ -148,5 +148,5 @@
             this.UriLink = ((System.Windows.Documents.Hyperlink)(target));
             
-            #line 32 "..\..\MainWindow.xaml"
+            #line 33 "..\..\MainWindow.xaml"
             this.UriLink.Click += new System.Windows.RoutedEventHandler(this.UriLinkOnClick);
             
Index: other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/Playing-in-the-Street-WPF_Content.g.i.cs
===================================================================
--- other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/Playing-in-the-Street-WPF_Content.g.i.cs	(revision 30125)
+++ other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/Playing-in-the-Street-WPF_Content.g.i.cs	(revision 30126)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.34011
+//     Runtime Version:4.0.30319.42000
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -22,5 +22,5 @@
 [assembly: System.Windows.Resources.AssemblyAssociatedContentFileAttribute("content/web/mrdoob-three.js-4862f5f/build/three.js")]
 [assembly: System.Windows.Resources.AssemblyAssociatedContentFileAttribute("content/web/mrdoob-three.js-4862f5f/build/three.min.js")]
-[assembly: System.Windows.Resources.AssemblyAssociatedContentFileAttribute("content/web/samplepage.html")]
+[assembly: System.Windows.Resources.AssemblyAssociatedContentFileAttribute("content/web/playing-in-the-street.html")]
 [assembly: System.Windows.Resources.AssemblyAssociatedContentFileAttribute("webserverbasic-wpf.exe.config")]
 
Index: other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/Playing-in-the-Street-WPF_MarkupCompile.i.cache
===================================================================
--- other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/Playing-in-the-Street-WPF_MarkupCompile.i.cache	(revision 30125)
+++ other-projects/playing-in-the-street/summer-2013/trunk/Playing-in-the-Street-WPF/obj/Debug/Playing-in-the-Street-WPF_MarkupCompile.i.cache	(revision 30126)
@@ -5,14 +5,14 @@
 C#
 .cs
-C:\Users\David\Documents\Visual Studio 2013\Projects\Kinect-Summer-2013\Playing-in-the-Street-WPF\obj\Debug\
+d:\davidb\Documents\Visual Studio 2013\Projects\Play-in-the-Street\summer-2013\Playing-in-the-Street-WPF\obj\Debug\
 Microsoft.Samples.Kinect.WebserverBasics
 none
 false
 DEBUG;TRACE
-C:\Users\David\Documents\Visual Studio 2013\Projects\Kinect-Summer-2013\Playing-in-the-Street-WPF\App.xaml
+d:\davidb\Documents\Visual Studio 2013\Projects\Play-in-the-Street\summer-2013\Playing-in-the-Street-WPF\App.xaml
 11151548125
-151279104786
-111834450961
-151884567689
+15-1940108328
+11-188858105
+151470421716
 MainWindow.xaml;
 