Index: main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- main/trunk/gli/classes/dictionary_gu.properties	(revision 30128)
+++ main/trunk/gli/classes/dictionary_gu.properties	(revision 30143)
@@ -559,6 +559,13 @@
 ExplodeMetadataPrompt.Explode:àªàªà«àªžàªªà«àª²à«àª¡ àªàª°à«
 ExplodeMetadataPrompt.Explode_Tooltip:àª®à«àªàªŸàª¡à«àªàªŸ àª«àªŸàªàª² àªàªà«àªžàªªà«àª²à«àª¡ àªàª°à«
+ExplodeMetadataPrompt.Instructions:àª àª®à«àªàªŸàª¡à«àªàªŸ àª«àªŸàªàª²àªšà« àªàªà«àª·à«àªªà«àª²à«àª¡ àªàª°àªµàªŸàª¥à« àªžà«àª§àªŸàª°à« àª¶àªàªŸàª¯ àª€à«àªµàªŸ àª®à«àªàªŸàª¡à«àªàªŸ àªžàªŸàª¥à« àªµà«àª¯àªà«àª€àª¿àªàª€ àª°à«àªà«àª°à«àª¡à«àªžÂ  àª€à«àª¯àªŸàª° àª¥àª¶à«. àª àª«à«àª°àª«àªŸàª° àªš àªàª°à« àª¶àªàªŸàª¯ àª€à«àªµà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªà« àª
+àªšà« àªžàªàªà«àª°àª¹àª®àªŸàªàª¥à« àª®à«àª³ àª®à«àªàªŸàª¡à«àªàªŸ àª«àªŸàªàª² àªŠà«àª° àª¥àª¶à«.
 ExplodeMetadataPrompt.Failed_Title:àªàªà«àªžàªªà«àª²à«àª¡ àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªšàª¿àª·à«àª«àª³ àªàª.
 ExplodeMetadataPrompt.Failed_Explode:{0} àª¡à«àªàªŸàª¬à«àª àªàªà«àªžàªªà«àª²à«àª¡ àªàª°à« àªš àª¶àªàª¯àªŸ.
+ExplodeMetadataPrompt.NotExplodable:àª àª«àªŸàªàª²Â  àªàªà«àª·à«àªªà«àª²à«àª¡ àª¥àªŸàª¯ àª€à«àªµà« àªšàª¥à«.
+ExplodeMetadataPrompt.Successful_Explode:{0} àª¡à«àªàªŸàª¬à«àª àªžàª«àª³àª€àªŸàªªà«àª°à«àªµàª àªàªà«àª·à«àªªà«àª²à«àª¡ àª¥àª àªàª¯à« àªà«.
+ExplodeMetadataPrompt.Successful_Title:àªàªà«àª·à«àªªà«àª²à«àª¡ àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªªà«àª°à«àª£ àª¥àª.
+ExplodeMetadataPrompt.Title:àª®à«àªàªŸàª¡à«àªàªŸ àª¡à«àªàªŸàª¬à«àªàªšà« àªàªà«àª·à«àªªà«àª²à«àª¡ àªàª°à«
+ExplodeMetadataPrompt.Plugin:àªàªà«àª·à«àªªà«àª²à«àª¡à«àªàª àª®àªŸàªà« àªàªªàª¯à«àªàª®àªŸàª àª²à«àªµàªŸàª€àªŸ àªªà«àª²àªà«àªš
 #***********************
 #
@@ -570,4 +577,18 @@
 #
 #****** ExportAsPrompt *******
+ExportAsPrompt.Export_Name:àª«à«àª²à«àª¡àª° àªšàªŸàª®
+ExportAsPrompt.Export_Name_Tooltip:àªà«àª°à«àªšàªžà«àªà«àªšàª®àªŸàª tmp àª¡àª¿àª°à«àªàªàª°à«àª®àªŸàª àª°àª¹à«àª² àª«à«àª²à«àª¡àª°àªšà«àª àªšàªŸàª® àªà«àª¯àªŸàª àªàªà«àª·à«àªªà«àª°à«àª àª¥àª¯à«àª² àªžàªàªà«àª°àª¹ àªžàªàªà«àª°àª¹ àª¥àª¶à«Â .
+ExportAsPrompt.Export:àªžàªàªà«àª°àª¹àªšà« àªàªà«àª·à«àªªà«àª°à«àª àªàª°à«
+ExportAsPrompt.Export_Tooltip:àªªàªžàªàªŠ àªàª°à«àª² àªžàªàªà«àª°àª¹àªšà«Â  àªšàªà«àªà«Â  àªàª°à«àª² àª«àªŸàªàª² àª«à«àª°à«àª®à«àªàª®àªŸàª àªšàª¿àª¯à«àªà«àª€ àªàª°à«àª²Â àª¡àª¿àª°à«àªàªàª°à«àª®àªŸàª àªàªà«àª·à«àªªà«àª°à«àª àªàª°à«
+ExportAsPrompt.Failed_ExportOne:{0} àªžàªàªà«àª°àª¹ àªàªà«àª·à«àªªà«àª°à«àª àª¥àª àª¶àªà«àª¯à« àªšàª¥à«.
+ExportAsPrompt.Failed_Details:àªµàª§à« àª®àªŸàª¹àª¿àª€à« àª®àªŸàªà« {1} àªà«àª
+ExportAsPrompt.Failed_Title:àªàªà«àª·à«àªªà«àª°à«àª àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªšàª¿àª·à«àª«àª³ àªàª
+ExportAsPrompt.Instructions:àªžàªàªà«àª°àª¹àª®àªŸàª àª¬à«àªàªŸ àª«à«àª°à«àª®à«àªàª®àªŸàª àª«àªŸàªàª²à«àªšà« àªàªà«àª·à«àªªà«àª°à«àª àªàª°à«.
+ExportAsPrompt.Cancel:àª°àªŠ àªàª°à«
+ExportAsPrompt.Cancel_Tooltip:àªàªà«àª·à«àªªà«àª°à«àª àª¥àªµàªŸàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àª°àªŠ àªàª°à«
+ExportAsPrompt.Browse:àª¬à«àª°àªŸàªàª àªàª°à«
+ExportAsPrompt.Browse_Tooltip:xsl àª«àªŸàªàª² àªªàªžàªàªŠ àªàª°à«
+ExportAsPrompt.ApplyXSL:XSL àª«àªŸàªàª²Â {0}àªšà« àª²àªŸàªà«
+ExportAsPrompt.ApplyXSL_Tooltip:àªàªà«àª·à«àªªà«àª°à«àª àªàª°à«àª² àª«àªŸàªàª²à«àªšà« àª°à«àªªàªŸàªàª€àª° àªàª°àªµàªŸ àª®àªŸàªà« xsl àª«àªŸàªàª²àªšà« àªàªªàª¯à«àª àªàª°à«.
 #
 #***** Inherited Metadata *****